DEV Community

Discussion on: Use the Modern Bash Shell on macOS

Collapse
bphogan profile image
Brian P. Hogan Author

One of the bigger issues you run into is that some things that have worked on Ubuntu 16 and higher won't be compatible with your Mac. They use Bash 4, while macOS uses Bash 3.

Check out tiscase.edu/php/chet/bash/NEWS to learn what's happening in each version.